Bug 509415 - PyQt4-devel multilib conflict
PyQt4-devel multilib conflict
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 12:46 EDT by Philippe Troin
Modified: 2012-06-21 13:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: PyQt4-4.9.1-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 13:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2009-07-02 12:46:59 EDT
Description of problem:

yum install PyQt4-devel.i586 PyQt4-devel.x86_64

yields:

Transaction Check Error:
  file /usr/bin/pyuic4 from install of PyQt4-devel-4.4.4-6.fc11.i586 conflicts with file from package PyQt4-devel-4.4.4-6.fc11.x86_64


Version-Release number of selected component (if applicable):
PyQt4-devel-4.4.4-6.fc11
Comment 1 Rex Dieter 2009-07-02 14:50:00 EDT
Hrm, as /usr/bin/pyuic4 is a shell-script, I'll have to deal with this creatively.
Comment 2 Rex Dieter 2009-07-02 15:53:53 EDT
* Thu Jul 02 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-2
- fix build with qt-4.5.2
- PyQt4-devel multilib conflict (#509415)

A new build will land for F-10/F-11 along with KDE-4.3 soonish.
Comment 3 Philippe Troin 2010-02-18 12:59:42 EST
Still present in F12 with PyQt4-devel-4.6.2-5.fc12.
Comment 4 Rex Dieter 2010-02-18 13:47:09 EST
Please post more details.  What error(s) do you get?
Comment 5 Philippe Troin 2010-02-18 17:02:17 EST
Transaction Check Error:
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/activeqt/webbrowser/mainwindow_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/demos/embeddeddialogs/embeddeddialogs_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/demos/qtdemo/qtdemo_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/desktop/systray/systray_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/dialogs/classwizard/classwizard_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/dialogs/configdialog/configdialog_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/draganddrop/draggableicons/draggableicons_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/draganddrop/draggabletext/draggabletext_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/draganddrop/fridgemagnets/fridgemagnets_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/draganddrop/puzzle/puzzle_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/itemviews/puzzle/puzzle_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/graphicsview/collidingmice/mice_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/graphicsview/diagramscene/diagramscene_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/graphicsview/dragdroprobot/dragdroprobot_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/graphicsview/padnavigator/padnavigator_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/itemviews/chart/chart_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64   
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/itemviews/editabletreemodel/editabletreemodel_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/itemviews/pixelator/pixelator_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/itemviews/simpletreemodel/simpletreemodel_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/mainwindows/application/application_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/mainwindows/dockwidgets/dockwidgets_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/mainwindows/mdi/mdi_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/mainwindows/sdi/sdi_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/network/ftp/ftp_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/opengl/textures/textures_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/painting/basicdrawing/basicdrawing_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/painting/svgviewer/svgviewer_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/tools/i18n/i18n_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
  file /usr/share/doc/PyQt4-devel-4.6.2/examples/widgets/tooltips/tooltips_rc.py from install of PyQt4-devel-4.6.2-5.fc12.i686 conflicts with file from package PyQt4-devel-4.6.2-5.fc12.x86_64
Comment 6 Ngo Than 2010-02-24 08:44:55 EST
it's already fixed in CVS. PyQt4-4.7-3 includes the fix
Comment 7 Rex Dieter 2010-03-23 08:10:23 EDT
We'll roll this in when the next PyQt4 update happens.

(unless there's some urgency or need to have PyQt4.i686 on your x86_64 box?)
Comment 8 Philippe Troin 2010-06-14 13:19:29 EDT
Still present in F13.

  file /usr/share/sip/PyQt4/QtOpenGL/opengl_types.sip from install of PyQt4-devel-4.7.3-1.fc13.i686 conflicts with file from package PyQt4-devel-4.7.3-1.fc13.x86_64
Comment 9 Rex Dieter 2011-02-09 13:03:54 EST
Ugh, same conflict in PyQt4-4.8.3 in rawhide as well. :(
Comment 10 Rex Dieter 2011-02-09 13:08:15 EST
involves different values for GLint, GLuint, GLenum, GLbitfield in opengl_types.sip

i686:
typedef long GLint;
typedef unsigned long GLuint;
typedef unsigned long GLenum;
typedef unsigned long GLbitfield;

x86_64:
typedef int GLint;
typedef unsigned GLuint;
typedef unsinged GLenum;
typedef unsigned GLbitfield;
Comment 11 Philippe Troin 2012-06-12 20:24:25 EDT
Still present in F17:

# yum install PyQt4-devel-4.9.1-2.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package PyQt4-devel.i686 0:4.9.1-2.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch          Version               Repository       Size
================================================================================
Installing:
 PyQt4-devel          i686          4.9.1-2.fc17          fedora          9.6 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 9.6 M
Installed size: 30 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/sip/PyQt4/QtOpenGL/opengl_types.sip from install of PyQt4-devel-4.9.1-2.fc17.i686 conflicts with file from package PyQt4-devel-4.9.1-2.fc17.x86_64

Error Summary
-------------

[2]    12899 exit 1     noglob yum install PyQt4-devel-4.9.1-2.fc17.i686
Comment 12 Rex Dieter 2012-06-21 13:04:19 EDT

Changelog:
* Thu Jun 21 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.1-4
- PyQt4 opengl-types.sip multilib conflict (#509415)

Note You need to log in before you can comment on or make changes to this bug.